> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Transactions

> Returns a paginated list of transactions for a customer, optionally filtered by transaction type.

```
GET /v2/transactions?customer_id=765d498e-a267-4154-9d2f-9e411a0b50dd&type=CRYPTO_WITHDRAWAL&current_page=1&per_page=10
```


## OpenAPI

````yaml GET /v2/transactions
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/transactions:
    get:
      tags:
        - Transactions
      summary: List Customer Transactions
      description: >-
        Returns a paginated list of transactions for a customer, optionally
        filtered by transaction type.
      parameters:
        - name: customer_id
          in: query
          required: true
          schema:
            type: string
          description: The customer ID to fetch transactions for.
          example: 765d498e-a267-4154-9d2f-9e411a0b50dd
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - ONRAMP
              - OFFRAMP
              - CRYPTO_WITHDRAWAL
              - CRYPTO_DEPOSIT
          description: Filter transactions by type.
          example: CRYPTO_WITHDRAWAL
        - $ref: '#/components/parameters/CurrentPageParam'
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          description: Number of results per page. Must be between 1 and 100.
          example: 10
      responses:
        '200':
          description: Transactions retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          current_page:
                            type: integer
                            example: 1
                          per_page:
                            type: integer
                            example: 10
                          total_page:
                            type: integer
                            example: 1
                          total:
                            type: integer
                            example: 2
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 8c92e9dd-6456-4aee-a441-1861144f1d8b
                            transaction_type:
                              type: string
                              enum:
                                - ONRAMP
                                - OFFRAMP
                                - CRYPTO_WITHDRAWAL
                                - CRYPTO_DEPOSIT
                              example: CRYPTO_WITHDRAWAL
                            customer_id:
                              type: string
                              format: uuid
                              example: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                            beneficiary_id:
                              type: string
                              format: uuid
                              example: 6af8d598-36a5-477d-9320-d7c5ba309107
                            hash:
                              type: string
                              description: On-chain transaction hash.
                              example: >-
                                0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9
                            status:
                              type: string
                              example: COMPLETED
                            source_currency:
                              type: string
                              example: USDC
                            destination_currency:
                              type: string
                              example: USDC
                            source_amount:
                              type: number
                              example: 5
                            destination_amount:
                              type: number
                              example: 4.98535
                            total_fee:
                              type: number
                              example: 0.014649
                            created_at:
                              type: string
                              format: date-time
                              example: '2026-04-29T09:56:14.906031Z'
                            updated_at:
                              type: string
                              format: date-time
                              example: '2026-04-29T09:56:58.631047Z'
              example:
                data:
                  pagination:
                    current_page: 1
                    per_page: 10
                    total_page: 1
                    total: 2
                  transactions:
                    - id: 8c92e9dd-6456-4aee-a441-1861144f1d8b
                      transaction_type: CRYPTO_WITHDRAWAL
                      customer_id: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                      beneficiary_id: 6af8d598-36a5-477d-9320-d7c5ba309107
                      hash: >-
                        0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9
                      status: COMPLETED
                      source_currency: USDC
                      destination_currency: USDC
                      source_amount: 5
                      destination_amount: 4.98535
                      total_fee: 0.014649
                      created_at: '2026-04-29T09:56:14.906031Z'
                      updated_at: '2026-04-29T09:56:58.631047Z'
                    - id: 2b7b52cd-20df-4a03-83a0-bc6d989fd6ad
                      transaction_type: CRYPTO_WITHDRAWAL
                      customer_id: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                      beneficiary_id: b6a1d0c1-c202-43a8-a8c9-4d09ac5eb8f2
                      hash: >-
                        0x03eebd78faba32e5e04b03fa0e163de557d77de7e4e25b935d992964fa0b05db
                      status: COMPLETED
                      source_currency: USDC
                      destination_currency: USDC
                      source_amount: 5.1
                      destination_amount: 4.996173
                      total_fee: 0.103826
                      created_at: '2026-04-25T20:50:34.759464Z'
                      updated_at: '2026-04-25T20:51:22.070885Z'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  parameters:
    CurrentPageParam:
      name: current_page
      in: query
      description: The page number to retrieve
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````